#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "arte/arte.hh"
#include "arte/ArteMessage.hh"
#include "digi/dgnoise.h"
#include "digi/subdet_names.h"

extern "C" {
  char* ku_getc();
  double  ku_getr();
 
  void kadgnoise() {
    char buffer[4];
    strncpy(buffer, ku_getc(),3);
    buffer[3] ='\0';
    for (int i =0; i<9; i++) {
      if(!strncmp(buffer,&subdet_names[4*i],3)) {
         dgnoise_.noise[i] = float(ku_getr());      return;
      }
    }
    arteMsg << "kadgnoise: detector component " << buffer << " not found";
    arteMsg.warn();
    arteMsg << "         it must be " << subdet_names;
    arteMsg.warn();
  }
}
