      subroutine pigrst
******************************************************************
* Perform graphical reset after PRISM stuff.                     *
* (Interactive command GRESET)                                   *
*                                                                *
* (Switch to normalization transformation NT=1                   *
* returning to default Geant user coordinates U and V).          *
*                                                                *
* Author: Alexander Lanyov   Jun 1997                            *
******************************************************************
        implicit none

        integer nt
        real vp1,vp2,vp3,vp4

        nt = 1
        call iselnt(nt)                 ! default NT=1

c---------- This is attempt to overcome redefinition of window by DTREE command
        call iswn(nt, 0., 20., 0., 20.)
        call iuwk(0,1)                  ! flush HIGZ buffer

        return
        end
