
      LOGICAL FUNCTION PTLRRE( CIN , CMARK , ROUT ) 
************************************************************************
*                                                                      *
* PPPPPPPPP   TTTTTTTTTT  LL        RRRRRRRRR   RRRRRRRRR   EEEEEEEEEE *
* PPPPPPPPPP  TTTTTTTTTT  LL        RRRRRRRRRR  RRRRRRRRRR  EEEEEEEEEE *
* PP      PP      TT      LL        RR      RR  RR      RR  EE         *
* PP      PP      TT      LL        RR      RR  RR      RR  EE         *
* PP      PP      TT      LL        RR      RR  RR      RR  EE         *
* PPPPPPPPPP      TT      LL        RRRRRRRRRR  RRRRRRRRRR  EEEEEE     *
* PPPPPPPPP       TT      LL        RRRRRRRRR   RRRRRRRRR   EEEEEE     *
* PP              TT      LL        RR  RR      RR  RR      EE         *
* PP              TT      LL        RR   RR     RR   RR     EE         *
* PP              TT      LL        RR    RR    RR    RR    EE         *
* PP              TT      LLLLLLLL  RR     RR   RR     RR   EEEEEEEEEE *
* PP              TT      LLLLLLLL  RR      RR  RR      RR  EEEEEEEEEE *
*                                                                      *
************************************************************************
*                                                                      *
* Author: I.Belyaev                                                    *
* Date: 1997/6/20                                                      *
*                                                                      *
* Description:                                                         *
* read real value from CIN and put it into ROUT                        *
* Called from: anywhere                                                *
*                                                                      *
* Arguments:                                                           *
* name       in/out/update Argument description                        *
* CIN         character input                                          *
* CMARK       character MARK                                           *
* ROUT        real      output                                         *
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"

       CHARACTER*(*)  CIN 
       CHARACTER*(*)  CMARK 
       REAL           ROUT,RVALUE   
       INTEGER        LENOCC 
       LOGICAL        LOUT   
       EXTERNAL       LENOCC 

#include "arte/Arte.ff"

      IF( LENOCC(CIN) .LE. 0 )THEN
       C78='PTLRRE error ==> LENOCC(CIN)='
       CALL CH78AI( LENOCC(CIN) ) 
       CALL ME78EC( 823746 )   ! in BATCH mode stop 
      ENDIF 

      IF( LENOCC(CMARK) .LE. 0 )THEN
       C78='PTLRRE error ==> LENOCC(CMARK)='
       CALL CH78AI( LENOCC(CMARK) ) 
       CALL ME78EC( 342508 )   ! in BATCH mode stop 
      ENDIF 

      READ(CIN(1:LENOCC(CIN)),*,ERR=1)RVALUE  
 
      LOUT = .TRUE. 
      GO TO 2 

 1    CONTINUE 

      C78 = 'PTLRRE error. impossible to read=' 
      CALL CH78AC( CIN(1:LENOCC(CIN) ) ) 
      CALL CH78BC( 'for mark='         )
      CALL CH78AC( CMARK(1:LENOCC(CMARK)))
      CALL ME78EC( 29347  )  ! in BATCH mode stop 
      LOUT   = .FALSE.
      RVALUE = 0.0 
   
 2    CONTINUE 
 
      ROUT   = RVALUE 
      PTLRRE = LOUT 

      RETURN 
      END
