*CMZ :          22/03/96  10.10.25  by  Hartwig Albrecht
*CMZ :  2.01/01 14/11/95  11.12.33  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   23/10/95

      SUBROUTINE KASEED

************************************************************************
*
* Description: SEEDLUND command
*
* Called from: KUIP
*
* External references:
*
* Argument in/out description
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"

      real rlu
#include "arte/Arte.ff"

 10   LUNDSEED(1) = 0
      LUNDSEED(2) = 0

      CALL KUGETI (LUNDSEED(1))
      CALL KUGETI (LUNDSEED(2))

      IF (LUNDSEED(1) .EQ. 0 .AND. LUNDSEED(2) .EQ. 0)  THEN

C automatical generation of the random seed

        CALL ALRINI
        CALL RANECQ (LUNDSEED(1), LUNDSEED(2), 1, 'S')

      ELSE IF (LUNDSEED(1) .NE. 0 .AND. LUNDSEED(2) .NE. 0)  THEN

        C78 = 'SEEDLUND'
        CALL CH78BI (LUNDSEED(1))
        CALL CH78BI (LUNDSEED(2))
        CALL ME78WC (65346)

      ELSE

        CALL MEERRC (3475134,
     +    'SEEDLUND: give two seeds or none')

      END IF

 90   END

************************************************************************
* End of KASEED
************************************************************************
