*CMZ :  1.00/00 22/12/94  19.30.51  by  Dominik Ressing
*-- Author :    Dominik Ressing   22/12/94
************************************************************************
*
* L1EXREL
* written by Dominik Ressing, 22/12/94 13.40.04
*
* This routines action:
* Establishes new relation iRow1<->iRow2 for Table JTab. If this combination
* is existing, nothing is done.
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* ix         in           zebra store division
* JTab       in           relation table
* iRow1      in           row in table 1
* iRow1      in           row in table 2
*
************************************************************************
c
      SUBROUTINE L1EXREL(ix,JTab,iRow1,iRow2)
c
      IMPLICIT NONE
#include "l1si/l1param.fi"
#include "l1si/rcbank.fi"
#include "l1si/rcfdef.fi"
c
      INTEGER ix,JTab,iRow1,iRow2
      INTEGER jAux,iRowExi
c
#include "l1si/rcfunc.ff"
c
      jAux = I_1(iRow1,JTab)               ! pointer to first stored relation
      DO WHILE (jAux.gt.0)                 ! while there are stored relations
         iRowExi = K_1(jAux,JTab)          ! existing relation
         IF ( iRowExi.eq.iRow2 ) GO TO 200 ! if new relation exists -> next
         jAux = N_1(jAux,JTab)             ! pointer to next stored relation
      END DO
      CALL UTEREL(ix,JTab,iRow1,iRow2)     ! establish new relation
 200  CONTINUE
c
      RETURN
c
      END
