*CMZ :  0.01/02 26/08/94  18.10.13  by  Dominik Ressing
*-- Author :    Dominik Ressing   26/08/94
************************************************************************
*
* L1TRKPR
* written by Dominik Ressing, 26/08/94 17.33.59
*
* This routines action:
* print superlayer points of track
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* Px,Py,Pz    in          Momentum of track (at Vertex)
* Vx,Vy,Vz    in          Vertex of track
*
************************************************************************
c
      SUBROUTINE L1TRKPR(Px,Py,Pz,Vx,Vy,Vz)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1detdf.fi"
c
      REAL    Vx,Vy,Vz,Px,Py,Pz,x0,y0,z0
      INTEGER i
c
      DO i=1,L1DETmaxsup
         IF ( T1DETzSup(i).gt.0. ) THEN
            z0 = T1DETzSup(i)
            CALL l1kinpo(Px,Py,Pz,Vx,Vy,Vz,z0,x0,y0)
            WRITE(L1LUNprn,900) i,x0,y0,z0
         END IF
      END DO
c
      RETURN
c
 900  FORMAT(1x,'L1TRKPR==> SuperLayer ',i2,' point (x,y,z): ',
     &       3(f8.1:','))
c
      END
