
// Boris Fominykh 14.02.2000
// test print from muon DB

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include "murec/MuDbNede.h"
#include "murec/MuDbNesl.h"
#include "murec/MuDbAlign.h"
#include "murec/MuDbConfig.h"
#include "murec/MuDbHots.h"

extern "C" {
  int MuDbGeoPrint(int, char*);
  void kugeti_();
void mudbprint_()
{
  char* DBname    = "/MUON_DB";
// set the indicators
  int geo   = 0;
  int align = 1;
  int cabl  = 1;
  int hot   = 1;
  int run=0;
  kugeti_(&run);
  if(run <= 0) {
    cout << "MuDbPrint: wrong run= " << run << endl;
    return;
  }

  cout << "MuDbPrint: GeoFlag= "  << geo;
  cout << " AlignFlag= " << align;
  cout << " CablFlag= " << cabl;
  cout << " HotListFlag= " << hot;
  cout << endl;

  int ret=0;

  cout << "MuDbPrint: DBname " << DBname << " run= " << run << endl;

// print the geometry tables
  if(geo == 1) ret=MuDbGeoPrint(run,DBname);

// print the allignment table
  if(align == 1) {
    MuDbAlign Align;
    Align.setDBname(DBname);
    Align.setKTstatus(-2);
    Align.setRun(run);
    Align.setMinor(0);
    Align.Print();
  }

// print the cabling table
  if(cabl == 1) {
    MuDbConfig Conf;
    Conf.setDBname(DBname);
    Conf.setKTstatus(-2);
    Conf.setRun(run);
    Conf.setMinor(0);
    int NcabR=0;
    Conf.Read(&NcabR);
    Conf.Print();
    Conf.Release();
  }

// print the list of hot channels
  if(hot == 1) {
    MuDbHots Hots;
    Hots.setDBname(DBname);
    Hots.setKTstatus(-2);
    Hots.setRun(run);
    Hots.setMinor(0);
    Hots.Read();
    Hots.Print();
    Hots.Release();
  }

  return;
}
}


