*-- Author : Rainer Mankel

      subroutine dighit(isl,iplan,idmc,chopt)

*     **** draw the GEANT hits (mimps)
      implicit none
      integer isl, iplan, idmc, imc, mimp, iimark, rc, jaux
      character*(*) chopt
      character*10 clabel

#include "pris/zmh.fi"
#include "arte/Arte.fi"

#include "pris/zgraf.fi"

      real*4 xxx(1), yyy(1), wcm(5)
#include "auto/GEO.fi"
#include "auto/MIMP.fi"
#include "auto/MTRA.fi"

#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/MIMP.ff"
#include "auto/MTRA.ff"

      if (iplan.le.0.or.iplan.gt.iq(jgede+2)) then
         print *,' () dighit: iplan=',iplan
         go to 999
      endif

      if (igede_mim1(iplan).le.0.or.igede_mimL(iplan).le.0) go to 999

      call igset('PMCI',comimzg)
      iimark = 20

      call ismk(iimark)
      call igset('MSCF',1.)      ! Scale factor
      call igset('PLCI',comimzg) ! Color
      call igset('PMCI',comimzg) ! Color

      do 30 mimp=igede_mim1(iplan),igede_mimL(iplan) ! loop over mimps
                                                       ! in plane
         if (imimp_gede(mimp).ne.iplan) go to 30
         imc = omimp_mtra(mimp) ! check MC particle
         if (idmc.gt.0.and.imc.ne.idmc) go to 30

         if (lb0zg .or. index(chopt,'B').gt.0) then ! check B0 option
            if (imc.eq.0) go to 30
            if (.not.gold_mh(imc)) go to 30
         endif

         if (index(chopt,'R').gt.0) then ! check ref option
            if (imc.eq.0) go to 30
            if (.not.ref_mh(imc)) go to 30
         endif

         wcm(1) = fmimp_x(mimp) ! hit coordinates
         wcm(2) = fmimp_y(mimp)
         wcm(3) = fmimp_z(mimp)
         wcm(4) = atan( fmimp_tx(mimp) )
         wcm(5) = atan( fmimp_ty(mimp) )

         call dipro5(wcm,xxx(1),yyy(1)) ! projection

         if (xxx(1).lt.xminzg.or.xxx(1).gt.xmaxzg) go to 30 ! visible?
         if (yyy(1).lt.yminzg.or.yyy(1).gt.ymaxzg) go to 30 !

         call ipm(1,xxx,yyy)

         if (index(chopt,'N').gt.0) then ! MC identifier option
            
            call istxfp(0,2)
            call ischh(1.5 * uyzg)
            call igset('PASS',1.)
            call istxal(0,3)

            if (pmtra_rtra(imc).gt.0) then ! determine (1st) rec track
               jaux = pmtra_rtra(imc)
               rc = mmtra_rtra(jaux)
            else
               rc = 0
            endif

            if (rc.ne.0) then
               write(clabel,'(i5,''('',i3,'')'')') imc, rc
            else
               write(clabel,'(i5)') imc
            endif

            if (rc.ne.0) then
               call difclr(xxx(1)+2.*uxzg,xxx(1)+2.*uxzg+10.*uxzg,
     +              yyy(1)-0.75*uyzg,yyy(1)+0.75*uyzg)
               call itx(xxx(1)+2.*uxzg,yyy(1),clabel(1:10))
            else
               call difclr(xxx(1)+2.*uxzg,xxx(1)+2.*uxzg+ 5.*uxzg,
     +              yyy(1)-0.75*uyzg,yyy(1)+0.75*uyzg)
               call itx(xxx(1)+2.*uxzg,yyy(1),clabel(1:5))
            endif
        
         endif

 30   continue

 999  end





