*-- Author :    Rainer Mankel   29/09/95

      subroutine dmhit(istat)

*     **** set up domain hit buffer
      implicit none
#include "rang/zdomain.fi"
#include "rang/zfmode.fi"
#include "rang/zfout.fi"
#include "arte/Arte.fi"
      integer nmx
      parameter (nmx=20)
      integer istat, pl, ih, domlay, laypl, ii, hit1, hit2,
     +     message_id_1
      real u
#include "auto/GEDE.fi"
#include "auto/HITB.fi"
#include "arte/Arte.ff"
#include "auto/GEDE.ff"
#include "auto/HITB.ff"

      istat = 0

      n_dh = 0            ! reset domain hit buffer

      do domlay=1,n_dl    ! loop over domain layers
       hit1_dp(domlay) = 0
       do laypl=layplane1_dl(domlay),
     +                     layplane1_dl(domlay)+nlayplane_dl(domlay)-1
     +                    ! loop over layer planes
        pl = gede_dp(laypl)  ! associated gede plane
        if (igede_hit1(pl).gt.0) then
           hit1 = igede_hit1(pl)
           hit2 = igede_hitl(pl)
        else
           hit1 = 0
           hit2 = -1
        endif

        do 10 ih=hit1,hit2
     +                    ! loop over hits in gede plane
           u = fhitb_x(ih)
           if (u.gt.umin_dp(laypl).and.u.lt.umax_dp(laypl)) then

              if (n_dh.lt.maxhit_dh) then
                 n_dh = n_dh + 1
                 if (hit1_dp(domlay).eq.0) then
                    hit1_dp(domlay) = n_dh
                    prvhit_dh(n_dh) = 0
                 else
                    nxthit_dh(n_dh-1) = n_dh
                    prvhit_dh(n_dh) = n_dh - 1
                 endif
                 hitb_dh(n_dh) = ih
                 nxthit_dh(n_dh) = 0
                 level_dh(n_dh) = 1
                 rtra_dh(n_dh) = 0
              else
                 istat = -100
                 call mepric(message_id_1,3,
     +               'dmhit: domain hit buffer at limit, event aborted')
                 go to 999
              endif
           endif
 10     continue ! ih
       enddo ! laypl
      enddo ! domlay

      if (llog_zfout) print *,' dmhit: # domain hits stored=', n_dh

#ifdef DOMHITLOG
      open(53,file='domhit.dat',status='unknown',access='sequential')
      do ii=1,n_dl
       write(53,'(a4,i6,i8)') 'dp',ii,hit1_dp(ii)
      enddo
      do ii=1,n_dp
       write(53,'(a4,i6,4i8)') 'dh',ii,hitb_dh(ii),nxthit_dh(ii),
     +       prvhit_dh(ii),level_dh(ii)
      enddo
      close(53)
#endif

 999  end
