// 
//  Author:  Rainer Mankel                     Created:  11-Jun-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerProxyLay

#ifndef RANGER_PROXYLAY_HH
#define RANGER_PROXYLAY_HH

class rangerDomLay;

#include "rang/ProxyWin.hh"

class rangerProxyLay {

public:
  rangerProxyLay(){};
  rangerProxyLay(rangerProxyWin* pw,rangerDomLay* dl);
  ~rangerProxyLay(){};

  rangerProxyWin* proxywin() { return ProxyWin;};
  rangerDomLay* tolay() { return ToLay;};
  int inside(float y) {return ProxyWin->inside(y);};
private:
  rangerProxyWin* ProxyWin;
  rangerDomLay* ToLay;
};

#endif
