
>Name TFKUIP

>Menu RANGER
>Guidance
Commands related to the ranger package.



>Command FPAR
>Parameters
+
dl*evel   'Detector geometry level'           I D=-999
rl*evel   'Run level'                         I D=-999
sm*ooth   'Smoother flag for rangerfit'       I D=-999
nit*er    'Number of iterations for rangerfit' I D=-999
ms*mode   'Multiple scattering correction mode' I D=-999
fit       'Fit level'                          I D=-999
max_plpick 'max N(planes) picked up in ms corr'   I D=-999
maxflt_x   'max N(faults) in sequence (x tracking)'   I D=-999
maxflt_y   'max N(faults) in sequence (y tracking)'   I D=-999
maxflt_mag 'max N(faults) in sequence (mag tracking)' I D=-999
maxflt_3d  'max N(faults) in sequence (3D tracking)'  I D=-999
maxflt_tc  'max N(faults) in sequence (TC tracking)'  I D=-999
rmax_x     'maximal rank (x tracking)'         I D=-999 
rmax_y     'maximal rank (y tracking)'         I D=-999 
min_mimp   'minimal Nmimps for pat ref track' I D=-999 
whmin_x    'minimal whit (x tracking)'         R D=-999. 
whmin_y    'minimal whit (y tracking)'         R D=-999.
whmin_3d   'minimal whit (3d tracking)'        R D=-999.
whmin_mag  'minimal whit (mag tracking)'       R D=-999.
whmin_tc   'minimal whit (tc tracking)'        R D=-999.
f_moliere  'm.s. correction from moliere scat' R D=-999.
cxxrf      'Initial cxx   value for rangerfit' R D=-999.
cyyrf      'Initial cyy   value for rangerfit' R D=-999.
ctxtxrf    'Initial ctxtx value for rangerfit' R D=-999.
ctytyrf    'Initial ctyty value for rangerfit' R D=-999.
cqqrf      'Initial cqq   value for rangerfit' R D=-999.
qpl*imit   'momentum parm limit for rangerfit' R D=-999.
zmin_ec    'Lower z bound for energy loss corr' R D=-999.
zmax_ec    'Upper z bound for energy loss corr' R D=-999.
zmin_mag   'Lower z bound for magnet-type tracking' R D=-999.
zmax_mag   'Upper z bound for magnet-type tracking' R D=-999.
chmax_x    'max value of chi-square (x tracking)' R D=-999.
chmax_y    'max value of chi-square (y tracking)' R D=-999.
chmax_mag  'max value of chi-square (mag tracking)' R D=-999.
chmax_tc   'max value of chi-square (yc tracking)' R D=-999.
segstor    'Storage in segments'               C D=' '
clmimp_pr  'Clean mimps for ref track (y/n)'   C D=' '
qmin_x     'minimal quality after x propagation' R D=-999.
qmin_y     'minimal quality after y propagation' R D=-999.
qmin_tc    'minimal quality after tc propagation' R D=-999.
nhmin_y    'minimal number of hits after y propagation' I D=-999
dgsel      'honour dgsel parameters (y/n)'     C D=' '
navmode    'navigation mode (0=auto,1=old,2=new)' I D=-999
chopt      'Options'                           C D=' '
>Guidance
Set parameters for ranger package.
>Action TFKFPAR


>Command LEVEL
>Guidance
Set level of ranger reconstruction
>Parameters
RL*EVEL   'Ranger level'                    I D=0
>Action TFKLEVEL

>Command SCENARIO
>Guidance
Modify domain definition table according to scenario
>Parameters
+
SL1       'Superlayer  1' C D=' '
SL2       'Superlayer  2' C D=' '
SL3       'Superlayer  3' C D=' '
SL4       'Superlayer  4' C D=' '
SL5       'Superlayer  5' C D=' '
SL6       'Superlayer  6' C D=' '
SL7       'Superlayer  7' C D=' '
SL8       'Superlayer  8' C D=' '
SL9       'Superlayer  9' C D=' '
SL10      'Superlayer 10' C D=' '
SL11      'Superlayer 11' C D=' '
SL12      'Superlayer 12' C D=' '
SL13      'Superlayer 13' C D=' '
SL14      'Superlayer 14' C D=' '
SL15      'Superlayer 15' C D=' '
SL16      'Superlayer 16' C D=' '
SL17      'Superlayer 17' C D=' '
SL18      'Superlayer 18' C D=' '
SL19      'Superlayer 19' C D=' '
SL20      'Superlayer 20' C D=' '
>Action DMKSCEN

>Command REXT
>Guidance
 Define type of extenal seeds to be propagated in TC area
       c*luster  seeds are defined by : ecal_cluster + rich (default)
       v*mr      seeds are defined by : vds + muon + rich
       m*uon     seeds are defined by : muon + rich
       u*ser     user defined seeds
>Action rgextkuip%C
>Parameter
+
 SEED 'seed type : c*lucter, m*uon, u*ser defined '  C  D='C' 
 CUT  'type of cuts used for creation of seeds : s*oft, r*ough '  C  D='S' 
 SAVE 'storage flag for seeds : y*es, n*o '  C  D='N' 
 TIME 'usage of drift time : n*o  , y*es '  C  D='Y'
