*-- Author :    Rainer Mankel   09/10/96

      subroutine tfmode()

*     **** determine tracking modes depending on geometry
      implicit none
      integer sl,ge,npl
      real totpl,avg
#include "rang/zfmode.fi"
#include "rang/zfpar.fi"
#include "rang/zfout.fi"
#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "gean/ZGESL.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"

      l_select = .false.        ! no selected MTRA
      mtra_select = 0           !


      l_homog = .true.          ! homog field is default

      do sl=1,iq(jgesl+2)       ! determine field version
         if (igesl_cmp(sl).eq.lgesl_fld) then
            if (igesl_mfl(sl).eq.1) then
               l_homog = .false.
               if (llog_zfout) print *,' tfmode: LONG version of field'
            else
               l_homog = .true.
               if (llog_zfout) print *,' tfmode: SHORT version of field'
            endif
            go to 11
         endif
      enddo
      print *,' tfmode: no info on field version -> assume SHORT'
 11   continue

      l_newnav = .true.
      if (navmode_zfpar.eq.1) then    ! determine navigation mode
         l_newnav = .false.
      elseif (navmode_zfpar.eq.2) then
         l_newnav = .true.
      else                         ! automatic determination
         if (jgede.ne.0) then
            totpl = 0
            npl = 0
            do ge=1,iq(jgede+2)
               if (igede_cmp(ge).eq.2) then
                  totpl = totpl + fgede_xmax(ge) - fgede_xmin(ge)
                  npl = npl + 1
               endif
            enddo

            if (npl.gt.0) then
               avg = totpl / npl
               if (llog_zfout) print *,' tfmode: avg plane width ',avg
               l_newnav = avg.lt.40.
            endif
         endif
      endif

      if (llog_zfout) then
         if (l_newnav) then
            print *,' tfmode: new navigator used'
         else
            print *,' tfmode: old navigator used'
         endif
      endif

      end
