//
//   reconstruction routines
//
//
//   structure:
//   a) initialisation
//
//      rcinit.C -->  rcivds.C, rciecal.C,.... 
//    
//   b) event reconstruction
//
//      rcevnt.C -->  rcStandAlone.C   (stand alone reconstruction)
//                    --> rcvds.C, rcecal.C,......
//
//
//   c) job termination
//
//      rcstop.C
//
//

void rc99Aevnt();


//----------------------------------------------------------------
  void rc99Ainit();

  void rc99AiVDS();
  void rc99AiECAL();
  void rc99AiMUON();

//----------------------------------------------------------------
  int rc99AStandAlone();

  int rc99ATARGET(int);
  int rc99AVDS(int);
  int rc99AITR(int);
  int rc99AOTR(int);
  int rc99AECAL(int);
  int rc99ARICH(int);
  int rc99AMUON(int);
  int rc99ATRD(int);
  int rc99AHPT(int);

//----------------------------------------------------------------
 int rc99AParticleID();

//----------------------------------------------------------------
 int rc99Match();

//----------------------------------------------------------------
 void rc99Astop();

//----------------------------------------------------------------



