// ********************************************************************
//
//  Routine:      rc99Ainit
//
//  Author:       T.Oest/D.Samtleben
//
//  Description:  reconstruction initialization
//
//  Modification:
//
// ********************************************************************


#include <iostream.h>
#include <stdlib.h>
#include "reco/rc99Areco.hh"
#include "marple/marple.hh"
#include "itrarte/ITR_arte.h"

extern int acFlagReadITR ;

extern "C" void tfinit_();
//void unpackgede();

//*****************************************************************
// function
//*****************************************************************

void rc99Ainit() {

//==================================================================
// initilisation of stand alone reconstruction software
//
//   1. VDS
//   2. ECAL
//   3. MUON
//   4. ranger 
//   5. MARPLE
//==================================================================

  rc99AiVDS();
  if (acFlagReadITR == 1) ItrInit();
  rc99AiECAL();
  tfinit_();
  marpleinit_();
}
