#ifndef _L3_MATHLIB_HH_
#define _L3_MATHLIB_HH_
// *****************************************************************************
//
// source:    L3_Mathlib.hh
//
// type:      include file
//
// created:   06 Dec 1999
//
// authors:   Stefan Scharein, Ullrich Schwanke
//            HERA-B Collaboration
//            DESY Zeuthen
//            Platanenallee 6
//            D-15738 Zeuthen
//            Germany
//            email: scharein@ifh.de, schwanke@ifh.de
//
// changes:
//
// *****************************************************************************

extern "C" {
  float prob_(const float& x, const int& n);
}

float L3_prob(float x, int n);

#endif
