*-- Author :    Hartwig Albrecht   23/05/95

      SUBROUTINE DDHEL1 (K1)

************************************************************************
*
* Description: make help sequence ArteTable.help
*
* Called from: DDHELP
*
* External references: ...
*
* Argument in/out description
*   K1     in     menu row in DDEF
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDEFP.fi"

      INTEGER K1, K2, K3, K4, LENOCC, CHCMPN
      CHARACTER CC*200, CN*80, CE*20
      DATA CE /'.h .hh .icc .fi .ff"'/

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      IF (HDDEF_NAME(1,K1) .NE. HBLANKSP)  THEN

C menu header

        CC = '>MENU'
        CALL CHHTOC (IQ(HQDDEF_NAME(1,K1)), CN)
        CALL CHAPBC (CC, CN)
        WRITE (LDDEF, 1001)  CC(1:LENOCC(CC))
        WRITE (LDDEF, 1001) '>GUIDANCE'

        CC = ' '
        CALL CHHTOC (IQ(HQDDEF_TEXT(1,K1)), CC(1:80))
        WRITE (LDDEF, 1001)  CC(1:LENOCC(CC))

        DO 10 K2 = K1 + 1, NDDEF()
          IF (IDDEF_FLAG(K2) .NE. LDDEF_TEX)  GO TO 20
          CALL LIDDE1 (LDDEF, K2)
 10     CONTINUE

      END IF

C loop over tables

 20   DO 70 K2 = 1, NDDEF()

        IF (IDDEF_FLAG(K2) .NE. LDDEF_TAB .AND.
     +      IDDEF_FLAG(K2) .NE. LDDEF_REL)  GO TO 70
        IF (CHCMPN (IQ(HQDDEF_NAME(1,K1)),
     +              IQ(HQDDEF_NAM2(1,K2))) .EQ. 0)  GO TO 70

C help_item header

        CC = '>HELP_ITEM'
        CALL CHHTOC (IQ(HQDDEF_NAME(1,K2)), CN)
        CALL CHAPBC (CC, CN)
        WRITE (LDDEF, 1001) CC(1:LENOCC(CC))
        WRITE (LDDEF, 1001) '>GUIDANCE'

        CALL LIDDE1 (LDDEF, K2)
        DO 30 K3 = K2 + 1, NDDEF()
          IF (IDDEF_FLAG(K3) .LE. LDDEF_SKP)  GO TO 30
          IF (IDDEF_FLAG(K3) .LE. LDDEF_NAM)  GO TO 40
          CALL LIDDE1 (LDDEF, K3)
 30     CONTINUE

 40     WRITE (LDDEF, 1001)

C stop here for relations

        IF (IDDEF_FLAG(K2) .EQ. LDDEF_REL)  GO TO 70

C help for #include, ...

        CC = 'include "auto/'
        CALL CHHTOC (IQ(HQDDEF_NAME(1,K2)), CN)
        CC(15:) = ' '
        CALL CHAPPC (CC, CN)
        CALL CHAPPC (CC, CE)
        WRITE (LDDEF, 1001)  CC(1:LENOCC(CC))
        IF (HDDEF_NAME(1,K1) .EQ. HBLANKSP)  GO TO 70
        CC(15:) = ' '
        CALL CHHTOC (IQ(HQDDEF_NAME(1,K1)), CN)
        CALL CHAPPC (CC, CN)
        CALL CHAPPC (CC, CE)
        WRITE (LDDEF, 1001)  CC(1:LENOCC(CC))

        IF (HDDEF_NAM2(1,K1) .EQ. HBLANKSP)  GO TO 70
        DO 60 K3 = 1, NDDEF()
          IF (IDDEF_FLAG(K3) .NE. LDDEF_MEN .OR.
     +        CHCMPN (IQ(HQDDEF_NAM2(1,K1)),
     +                IQ(HQDDEF_NAME(1,K3))) .EQ. 0)  GO TO 60
          CC(15:) = ' '
          CALL CHHTOC (IQ(HQDDEF_NAME(1,K3)), CN)
          CALL CHAPBC (CC, CN)
          CALL CHAPPC (CC, CE) 
          WRITE (LDDEF, 1001)  CC(1:LENOCC(CC))

          IF (HDDEF_NAM2(1,K3) .EQ. HBLANKSP)  GO TO 60
          DO 50 K4 = 1, NDDEF()
            IF (IDDEF_FLAG(K4) .NE. LDDEF_MEN .OR.
     +          CHCMPN (IQ(HQDDEF_NAM2(1,K3)),
     +                  IQ(HQDDEF_NAME(1,K4))) .EQ. 0)  GO TO 50
            CALL CHHTOC (IQ(HQDDEF_NAME(1,K4)), CN)
            CALL CHAPBC (CC(15:), CN)
            CALL CHAPPC (CC, CE) 
            WRITE (LDDEF, 1001)  CC(1:LENOCC(CC))
 50       CONTINUE
 60     CONTINUE

 70    CONTINUE

 1001 FORMAT (A)
 1002 FORMAT (1X,A)
 1003 FORMAT (46X,'iw = 1 ... N', A)

      END

************************************************************************
* End of DDHEL1
************************************************************************
