************************************************************************
*
* BAVALID
* written by Dominik Ressing, 07/12/94 12.57.29
*
* This routines action:
* Returns .true. if JPo is a pointer to a valid Bank,
* else .false.
* If iFlag is 1 an error message is printed if the Bank is valid
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* JPo        in           pointer to a ZEBRA Bank
* iFlag      in           print out flag
*
************************************************************************
c
      LOGICAL FUNCTION BAVALID(JPo,iFlag)
c
      IMPLICIT NONE
c
#include "arte/Arte.fi"
c
      INTEGER JPo,iFlag
      LOGICAL BTEST
c
      IF ( JPo.le.0 ) THEN
         BAVALID = .false.
      ELSE
         IF ( BTEST(IQ(JPo),24) ) THEN  ! Dropped Bit set !!
            BAVALID = .false.
         ELSE
            BAVALID = .true.
            IF ( iFlag.eq.1 ) THEN
               PRINT *,
     &              ' BVALID==> bank valid where it should not'
            END IF
         END IF
      END IF
c
      RETURN
c



      END
