*-- Author :    Hartwig Albrecht   30/11/95

      SUBROUTINE LIMIMP (IMI, CTPL)

************************************************************************
*
* Description: list MIMPs
*
* Called from: anywhere
*
* External references: LIMIM1
*
* Argument in/out description
*   IMI    in     >0: MIMP number
*                 =0: all MIMPs
*                 <0: list all MIMPs belonging to MTRA = abs(IMI)
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MIMP.fi"
#include "auto/MTRA.fi"

      INTEGER IMI, I, I1, I2
      CHARACTER*(*) CTPL

#include "arte/Arte.ff"
#include "auto/MIMP.ff"
#include "auto/MTRA.ff"

      CALL MESELP (' MIMP    x       y        z     tx     ty       +-p'
     +  // '   mtra gede gesl', CTPL)

      IF (IMI) 10, 30, 40

 10   IF (-IMI .GT. NMTRA())  THEN
        CALL MEWARC (763457, 'LMIMP -mtra#: wrong MTRA number')
        GO TO 90
      END IF

      I  = PMTRA_MIMP(-IMI)
      IF (I .NE. 0)  GO TO 20
      CALL MEWARN ('LMIMP -mtra#: MTRA has no MIMPs')
      GO TO 90

 20   CALL LIMIM1 (MMTRA_MIMP(I), CTPL)
      I = XMTRA_MIMP(I)
      IF (I .NE. 0)  GO TO 20
      GO TO 90

 30   I1 = 1
      I2 = NMIMP()
      GO TO 50

 40   I1 = IMI
      I2 = IMI

 50   DO I = I1, I2
        CALL LIMIM1 (I, CTPL)
      END DO

 90   END

************************************************************************
* End of LIMIMP
************************************************************************
