*-- Author :    Hartwig Albrecht   04/10/95

      SUBROUTINE LITDEC (IX, CTPL)

************************************************************************
*
* Description: list decay table
*
* Called from: anywhere
*
* External references:
*
* Argument in/out description
*   IX     in     row in table TOPP; 0: all particles
*   CTPL   in     destination: terminal/printer/log_file
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/TOPP.fi"
#include "auto/TDEC.fi"

      INTEGER IX, I, I1, I2, J, L
      CHARACTER CTPL*(*), CN*12

#include "arte/Arte.ff"
#include "auto/TOPP.ff"
#include "auto/TDEC.ff"

      IF (IX .EQ. 0)  THEN
        I1 = 1
        I2 = NTOPP()
      ELSE
        I1 = IX
        I2 = IX
      END IF

      DO 30 I = I1, I2
        L = ITOPP_TDEC(I)
        IF (L .EQ. 0)  GO TO 30
        C78 = ' BEGdecay'
        CALL CHHTOC (IQ(HQTOPP_NAME(1,I)), CN)
        CALL CH78BC (CN)
        CALL ME78SP (CTPL)
 10     C78 = '    decay'
        WRITE (C78(11:26), '(I3,I4,F9.5)')  ITDEC_MDME(1,L),
     +    ITDEC_MDME(2,L), FTDEC_BRAT(L)
        DO 20 J = 1, 5
          IF (ITDEC_DAUG(J,L) .EQ. 0)  GO TO 20
          CALL CHHTOC (IQ(HQTOPP_NAME(1,ITDEC_DAUG(J,L))), CN)
          CALL CH78BC (CN)
 20     CONTINUE
        CALL ME78SP (CTPL)

        L = ITDEC_NEXT(L)
        IF (L .NE. 0)  GO TO 10

        C78 = ' ENDdecay'
        CALL CHHTOC (IQ(HQTOPP_NAME(1,I)), CN)
        CALL CH78BC (CN)
        CALL ME78SP (CTPL)

 30   CONTINUE

      END

************************************************************************
* End of LITDEC
************************************************************************
