// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 
#include "rang/HitMap.hh"
#include "rang/Node.hh"

void rangerHitMap::dump() const {
  cout << "   " << "rh=" << rh << " rp=" << rp << " z=" << node->zNode()
       << " plane=" << node->plane() << endl;
}



int operator==(const rangerHitMap hm1, 
	       const rangerHitMap hm2){
  return (hm1.node == hm2.node); 
}
