
// *****************************************************************************
//
// source:    rcClassJPSIMM.C
//
// type:      source code
//
// created:   20 Jun 2000
//	
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            E-mail: Andreas.Gellrich@desy.de
//
// symbol:    rcClassJPSIMM
//
// called by: rcClassify
//
// purpose:   check for J/Psi -> mu+mu- event
//
// hints:     do NOT set flagdst here!
//
// changes:
// 20 Jun 2000 (AG) creation
//
// *****************************************************************************

// standard includes

// ARTE includes
#include "arte/arte.hh"

//
// function code
//
int
rcClassJPSIMM()
{
  // default return  
  return 0;
}
