>NAME RISEKUIP

>MENU /RISE
>Guidance
RIng SEarch kumac commands

>Command SEEDRES
>Guidance
Set seed residuals for ringsearch
>Action risesetres
>Parameter
+
DPHI 'Maximum tx residual' R D=.005
DLAM 'Maximum ty residual' R D=.005
DRAD 'Maximum radius residual' R D=.0075


>Command DPP
>Guidance
Set momentum resolution:
(dp/p)**2 = A**2 + B**2*p**2
>Parameter
+
A 'Multiple scattering coefficient' R D=.03
B 'Momentum dependence' R D=.0025
>Action risesetdpp

>Command BOOK
>Guidance
Book ARTE tables: hitb/rseg/rtra
>Action risebook
>Parameter
+
HITB 'Book HITB' I D=-1
RSEG 'Book RSEG' I D=-1
RTRA 'Book RTRA' I D=-1


>Command ID
>Guidance
Description of likelihood output
>Action riselike
>Parameter
+
R2P2    'Use deviations from R2P2 lines to fill RTRA' I D=-1
RENORM  'Renormalize likelihood (if not using deviation from R2P2 line)' I D=-1


>Command SEARCH
>Guidance
Description of search algorithm. 
.
Parameter rlevel sets type of reconstruction:
0=no search/fit, just fill rtra likelihoods from found rings
1=RTRA seed search
2=RTRA seed search with additional stand-alone search of nonassigned photons
3=seed search on RTRAs without assigned rings
>Action risesearch
>Parameter
+
RLEVEL     'Reconstruction level: 0..3'  I D=-1
OCCUP*CUT  'Occupancy cut'         I D=-10000
MIN        'Minimum search radius' R D=-10000
MAX        'Maximum search radius' R D=-10000
STEP       'Search step'           R D=-10000
THR*ESHOLD 'Search threshold'      R D=-10000
FIT        'Fit type: 0=nofit 1=chi^2 2=likelihood 3=chi2+likelihood'  I D=-1
CHOOSE     'Choose best ring in seed search' I D=1
SN         'Minimum S/sqrt(B)'     R D=-1
S          'Minimum significance'  R D=-1
soccup     'Seed occupancy cut'    I D=-10000

>Command SEEDHIT
>Guidance
Minimum number of hits in RTRA for ringsearch
>Action risehset
>Parameter
+
HSI  'Minimum hits in silion'              I D=0
HIN  'Minimum hits in inner tracker'       I D=0
HOU  'Minimum hits in outer tracker'       I D=0
HIO  'Minimum hits in inner+outer tracker' I D=0
HCA  'Minimum hits in calorimeter'         I D=0
HMU  'Minimum hits in muon'                I D=0

